---
schema_version: "1"
id: b7c967607075844a0801018e986ab71a39932224c44ac6df1d0a81df0c5e449a
title: Get Job Failed Record Results
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-asynch/guides/api-bulk-v2/reference/get-job-failed-results.md
canonical_url: https://developer.salesforce.com/docs/platform/api-asynch/guide/get-job-failed-results.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a116886261f32582caf25dbc34551ef2e75fc5a7641392c2f90bac10fc579030
products:
  - Bulk API 2.0 and Bulk API Developer Guide
  - Platform Developer Content
---

# Get Job Failed Record Results

Retrieves a list of failed records for a completed insert, delete, update, upsert, refresh, or consentImport job.

**URI:** `/services/data/vXX.X/jobs/ingest/jobID/failedResults/`

**Availability:** This resource is available in API version 41.0 and later.

**Formats:** CSV

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None.

**Request Body**

None required.

**Response Body**

The response body is a CSV file that all the records that encountered an error while being processed by the job. Each row corresponds to a failed record and contains the following information.

| Property                                    | Type      | Description                                                                                                               |
| ------------------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------- |
| `sf__Error`                                 | Error     | Error code and message.                                                                                                   |
| `sf__Id`                                    | string    | ID of the record that had an error during processing. Available in API version 53 and later. Empty for marketing objects. |
| `Fields from the original CSV request data` | _various_ | Field data for the row that was provided in the original job data upload request.                                         |

**Usage Notes**

- The order of records in the response is not guaranteed to match the ordering of records in the original job data.
- Results are not recorded for batches that exceed the daily batch allocation.
